Bug 837953 - 1.2.2. Accessing Data via URLs
1.2.2. Accessing Data via URLs
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.0.1
Assigned To: gsheldon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 18:16 EDT by Alan Santos
Modified: 2015-02-05 20:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.4 Build Filter: null Build Name: Build Date: 15-06-2012 10:17:05
Last Closed: 2012-09-19 23:48:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Santos 2012-07-05 18:16:04 EDT
Description of problem:

1.2.2. Accessing Data via URLs

This is only applicable to caches configured with a REST interface.

This limitation should be noted and perhaps given additional context as to how this may be used as a 'tool' to better fit in the topic.
Comment 1 gsheldon 2012-07-10 21:36:33 EDT
Added the following to the beginning of the topic:

"Caches that have been configured with a REST interface have access to JBoss Data Grid using RESTful HTTP access.
	
The RESTful service only requires a HTTP client library, eliminating the need for tightly coupled client libraries and bindings."

Will appear on the stage next brew.
Comment 3 Alan Santos 2012-07-16 07:05:50 EDT
As this reads now, it implies a rest interface can be added to any cache. different interfaces are not compatible, so you can not - for example - have a single cache with a hotrod interface and a rest interface. It's one or the other.
Comment 4 gsheldon 2012-07-17 23:12:32 EDT
Suggested change emailed to Alan:

Accessing Data via URLs

Caches that have been configured with a REST interface have access to JBoss Data Grid using RESTful HTTP access.
    
The RESTful service only requires a HTTP client library, eliminating the need for tightly coupled client libraries and bindings.
    
 HTTP put() and post() methods place data in the cache, and the URL used determines the cache name and key(s) used. The data is the value placed into the cache, and is placed in the body of the request.
    
A Content-Type header must be set for these methods. GET and HEAD methods are used for data retrieval while other headers control cache settings and behavior.
        
       NOTE:
        It is not possible to have conflicting server modules interact with the data grid. Caches must be configured with a compatible interface in order to have access to JBoss Data Grid.

Note You need to log in before you can comment on or make changes to this bug.